4 Replies Latest reply: Oct 9, 2012 4:17 PM by AppleMan1958
robhussey Level 1 Level 1 (0 points)

Hi,

 

Is iLife compatible with my old MacBook running 10.6.8?  It's got 1GB of SDRAM and 2.16 GHz processor. 

 

The iLife download says that you need 10.7.4 for iMovie to work, but other discussions say that it'llwork fine on 10.6.8. 

 

Any help would be greatly recieved.

 

Thanks.


MacBook (13-inch Mid 2007), Mac OS X (10.6.8)